TRIM_FASTQ(1)

NAME
trim_fastq.pl - Trim sequence and quality string of fastq files on the fly

SYNOPSIS
trim_fastq.pl [-f FILE] [-u INTEGER] [-d INTEGER] [-a5 STRING] [options]

DESCRIPTION
This program trims sequence and qualitystring fields from a fastq file, either by a number of nucleotides, or by removing a user defined 5' adapter sequence. The typical usage scenario is to allow re-mapping if mapping quality is not sufficient without trimming.

OPTIONS

--fastq -f
    Fastq file for trimming

--up -u
    Number of nucleotides to trim from read / quality string start

--down -d
    Number of nucleotides to trim from read / quality string end

--a5
    Sequence of 5' adapter to trim from the left side of the reads. This option and -u / -d are mutually exclusive

--help -h
    Print short help

--man
    Prints the manual page and exits

AUTHORS
Joerg Fallmann <joerg.fallmann@univie.ac.at> Michael T. Wolfinger <michael@wolfinger.eu>

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 134:
    Unknown directive: =over1

Around line 136:
    '=item' outside of any '=over'